<?php
/**
 * @package   admintoolswp
 * @copyright Copyright (c)2017-2019 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU GPL version 3 or later
 */

/** @var  Akeeba\AdminTools\Admin\View\ControlPanel\Html $this */
use Akeeba\AdminTools\Admin\Helper\Language;

defined('ADMINTOOLSINC') or die;

//echo $this->loadAnyTemplate('admin:com_admintools/ControlPanel/needsipworkarounds');

?>

<?php if ($this->frontEndSecretWordIssue): ?>
	<div class="akeeba-block--failure">
		<h3><?php echo Language::_('COM_ADMINTOOLS_ERR_CONTROLPANEL_FESECRETWORD_HEADER'); ?></h3>
		<p><?php echo Language::_('COM_ADMINTOOLS_ERR_CONTROLPANEL_FESECRETWORD_INTRO'); ?></p>
		<p><?php echo $this->frontEndSecretWordIssue; ?></p>
		<p>
			<?php echo Language::_('COM_ADMINTOOLS_ERR_CONTROLPANEL_FESECRETWORD_WHATTODO_WORDPRESS'); ?>
			<?php echo Language::sprintf('COM_ADMINTOOLS_ERR_CONTROLPANEL_FESECRETWORD_WHATTODO_COMMON', $this->newSecretWord); ?>
		</p>
		<p>
			<a class="akeeba-btn"
			   href="<?php echo ADMINTOOLSWP_URL; ?>&view=ControlPanel&task=resetSecretWord&_wpnonce=<?php echo wp_create_nonce('getControlPanel'); ?>">
				<span class="akion-checkmark-round"></span>
				<?php echo Language::_('COM_ADMINTOOLS_CONTROLPANEL_BTN_FESECRETWORD_RESET'); ?>
			</a>
		</p>
	</div>
<?php endif; ?>

<?php
// Obsolete PHP version check
if (version_compare(PHP_VERSION, ADMINTOOLSWP_MIN_PHP, 'lt')):
	$akeebaCommonDatePHP = new DateTime('2014-08-14 00:00:00', new DateTimeZone('GMT'));
	$akeebaCommonDateObsolescence = new DateTime('2015-05-14 00:00:00', new DateTimeZone('GMT'));
	?>
	<div id="phpVersionCheck" class="akeeba-block--warning">
		<h3><?php echo Language::_('AKEEBA_COMMON_PHPVERSIONTOOOLD_WARNING_TITLE'); ?></h3>
		<p>
			<?php echo Language::sprintf(
				'AKEEBA_COMMON_PHPVERSIONTOOOLD_WARNING_BODY',
				PHP_VERSION,
				$akeebaCommonDatePHP->format('l, d F Y'),
				$akeebaCommonDateObsolescence->format('l, d F Y'),
				'5.5'
			);
			?>
		</p>
	</div>
<?php endif; ?>

<?php if ($this->oldVersion): ?>
	<div class="akeeba-block--info">
		<strong><?php echo Language::_('COM_ADMINTOOLS_ERR_CONTROLPANEL_OLDVERSION'); ?></strong>
	</div>
<?php endif; ?>

<?php if ($this->needsdlid): ?>
	<div class="akeeba-block--warning">
		<h3>
			<?php echo Language::_('COM_ADMINTOOLS_MSG_CONTROLPANEL_MUSTENTERDLID'); ?>
		</h3>
		<p>
			<?php echo Language::sprintf('COM_ADMINTOOLS_LBL_CONTROLPANEL_NEEDSDLID','https://www.akeebabackup.com/instructions/1436-admin-tools-download-id.html'); ?>
		</p>
		<form name="dlidform" action="<?php echo ADMINTOOLSWP_URL; ?>&view=ControlPanel" method="post" class="akeeba-form--inline">
			<input type="hidden" name="view" value="ControlPanel" />
			<input type="hidden" name="task" value="applydlid" />
			<?php echo wp_nonce_field('postControlPanel') ?>
	<span>
		<?php echo Language::_('COM_ADMINTOOLS_MSG_CONTROLPANEL_PASTEDLID'); ?>
	</span>
			<input type="text" name="dlid" placeholder="<?php echo Language::_('COM_ADMINTOOLS_LBL_PARAMS_DOWNLOADID'); ?>" />
			<button type="submit" class="akeeba-btn">
				<span class="akion-checkmark-round"></span>
				<?php echo Language::_('COM_ADMINTOOLS_MSG_CONTROLPANEL_APPLYDLID'); ?>
			</button>
		</form>
	</div>
<?php endif; ?>

<div id="updateNotice"></div>

<?php if ($this->isPro && $this->pluginNeedsUpdate): ?>
	<div class="akeeba-block--info">
		<h3><?php echo Language::_('COM_ADMINTOOLS_LBL_GEOGRAPHICBLOCKING_GEOIPPLUGINEXISTS'); ?></h3>

		<p><?php echo Language::_('COM_ADMINTOOLS_LBL_GEOGRAPHICBLOCKING_GEOIPPLUGINCANUPDATE'); ?></p>

		<a class="akeeba-btn"
		   href="<?php echo ADMINTOOLSWP_URL; ?>&view=ControlPanel&task=updategeoip&_wpnonce=<?php echo wp_create_nonce('getControlPanel'); ?>">
			<span class="akion-refresh"></span>
			<?php echo Language::_('COM_ADMINTOOLS_LBL_GEOGRAPHICBLOCKING_UPDATEGEOIPDATABASE'); ?>
		</a>
	</div>
<?php endif; ?>
